xmlgraphics-fop-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeremias Maerki <...@jeremias-maerki.ch>
Subject Re: Jimi dependency in FOP 0.95
Date Fri, 14 Mar 2008 10:10:28 GMT
The new image loader framework doesn't use Jimi at all anymore. In
theory, the whole old image handling classes can now be removed. It
simply hasn't been done, yet. Deprecation is probably not necessary in
this case as it is not recommended to use the old image stuff separately.
I wanted to keep the old stuff for reference for a while but I don't
think we need it anymore. So the note in the release notes means that
Jimi isn't needed/used at runtime anymore. The changes in the build are
just not done, yet.

The java-1.3 directory can equally be removed as well as 1.3-specific
stuff in build.xml.

On 12.03.2008 19:47:49 Vincent Hennebert wrote:
> Likewise there is still a src/java-1.3 directory with image-related 
> stuff. Can it be removed now (as well as any 1.3 specific stuff)?
> 
> Vincent Hennebert wrote:
> > I have the following error message when trying to build the artifacts:
> > BUILD FAILED
> > /local/home/vhennebert/Fop/Release/Fop-0.95/0.95beta/build.xml:1237: A complete
binary build requires Jimi
> > 
> > The release notes say that Jimi and JAI are no longer needed. So what’s 
> > the real status?
> > 
> > Thanks,
> > Vincent
> > 
> > 
> 
> -- 
> Vincent Hennebert                            Anyware Technologies
> http://people.apache.org/~vhennebert         http://www.anyware-tech.com
> Apache FOP Committer                         FOP Development/Consulting




Jeremias Maerki


Mime
View raw message